
fn similarity(nums1: &Vec<u64>, nums2: &Vec<u64>) -> u64 {
    let mut s = 0;
    for num1 in nums1 {
        let mut count: u64 = 0;
        for num2 in nums2 {
            if *num1 == *num2 {
                count += 1;
            }
        }
        s += num1 * count;
    }
    s
}


fn main() -> std::io::Result<()> {
    let mut nums1: Vec<u64> = Vec::new();
    let mut nums2: Vec<u64> = Vec::new();
    for line in std::io::stdin().lines() {
        let line = line.unwrap();
        if line == "" {
            continue;
        }
        let mut parts = line.split("   ");
        let num1 = parts.next().unwrap();
        let num1: u64 = num1.parse().unwrap();
        let num2 = parts.next().unwrap();
        let num2: u64 = num2.parse().unwrap();
        nums1.push(num1);
        nums2.push(num2);
    }
    let s = similarity(&nums1, &nums2);
    println!("{}", s);
    Ok(())
}
